Subject: Re: [PATCH v4 0/5] Disable "git status" comment prefix

From: Jonathan Nieder <[email-masked]>
Date: Fri, 6 Sep 2013 09:53:30 -0700

Jeff King wrote:
> On Thu, Sep 05, 2013 at 09:36:47PM +0200, Matthieu Moy wrote:

>> I'm fine with any name actually (since it is enabled by default, people
>> don't need to know the name to benefit from the new output). Maybe
>> status.displayCommentPrefix was the best name after all.
>
> FWIW, I had the same thought as Junio. I much prefer something like
> status.displayCommentPrefix for clarity and future-proofing.

Sounds fine, but I don't understand why we'd want this to be an option
with a future in the first place.  Why not just fix the remaining bugs
before merging to master and make it unconditional?

[...]
> after:
>
>   On branch private
>   Your branch and 'origin/next' have diverged,
>   and have 472 and 59 different commits each, respectively.
>   Untracked files:
>           t/foo
>           test-obj-pool
>           test-string-pool
>           test-treap
>           test-url-normalize
>   nothing added to commit but untracked files present
>
> The blank before "Untracked files" was dropped (was this intentional? I
> didn't see any note of it in the discussion),

That's a bug.

>                                               and the bottom "nothing
> added" line butts against the untracked list more obviously, because
> they now all have the same comment indentation.
>
> I wonder if it would look a little nicer as:
>
>   On branch private
>   Your branch and 'origin/next' have diverged,
>   and have 472 and 59 different commits each, respectively.
>
>   Untracked files:
>           t/foo
>           test-obj-pool
>           test-string-pool
>           test-treap
>           test-url-normalize
>
>   nothing added to commit but untracked files present

The added blank line before "nothing added" sounds like a good idea.

Thanks,
Jonathan